local assets =
{ 		
	Asset("ANIM", "anim/goronsruby.zip"),
	Asset("ATLAS", "images/inventoryimages/goronsruby.xml"),
	Asset("IMAGE", "images/inventoryimages/goronsruby.tex"),
}

local function fn()
	local inst = CreateEntity()
	
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddNetwork()
	
	MakeInventoryPhysics(inst)
	
	inst.AnimState:SetBank("purplegem")
	inst.AnimState:SetBuild("goronsruby")
	inst.AnimState:PlayAnimation("idle")     
	
	if not TheWorld.ismastersim then
        return inst
    end
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/goronsruby.xml" 
	inst:AddComponent("inspectable")
	
	return inst
end

return Prefab( "common/inventory/goronsruby", fn, assets, prefabs)
