local assets =
{ 		
	Asset("ANIM", "anim/kokirisemerald.zip"),
	Asset("ATLAS", "images/inventoryimages/kokirisemerald.xml"),
	Asset("IMAGE", "images/inventoryimages/kokirisemerald.tex"),
}

local function fn()
	local inst = CreateEntity()
	
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddNetwork()
	
	MakeInventoryPhysics(inst)
	
	inst.AnimState:SetBank("purplegem")
	inst.AnimState:SetBuild("kokirisemerald")
	inst.AnimState:PlayAnimation("idle")     
	
	if not TheWorld.ismastersim then
        return inst
    end
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/kokirisemerald.xml" 
	inst:AddComponent("inspectable")
	
	return inst
end

return Prefab( "common/inventory/kokirisemerald", fn, assets, prefabs)
