local assets=
{
	Asset("ANIM", "anim/tunic_red.zip"),
  Asset("ATLAS", "images/inventoryimages/tunic_red.xml")
}

local prefabs = 
{
	"link"
}

local function GetHeatFn(inst)
	return -200
end

local function onequip(inst, owner) 
--    owner.AnimState:OverrideSymbol("swap_body", "tunic_red", "swap_body")
    owner.components.temperature.overheattemp = 200
    owner:AddTag("wearingredtunic")
    owner.AnimState:SetBuild("rink")
end

local function onunequip(inst, owner) 
    owner.AnimState:ClearOverrideSymbol("swap_body")
    owner:RemoveTag("wearingredtunic")
  if not owner:HasTag("dinsfire") then
         owner.components.temperature.overheattemp = TUNING.OVERHEAT_TEMP
  end
    owner.AnimState:SetBuild("link")
end

local function fn(Sim)
	local inst = CreateEntity()
    
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddNetwork()
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("armor_grass")
    inst.AnimState:SetBuild("tunic_red")
    inst.AnimState:PlayAnimation("anim")
    
    inst:AddComponent("inspectable")
    
    inst:AddTag("irreplaceable")
	
	if not TheWorld.ismastersim then
        return inst
    end
    
    inst:AddComponent("inventoryitem")
  	 inst.components.inventoryitem.atlasname = "images/inventoryimages/tunic_red.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY
    
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
    return inst
end


return Prefab( "common/inventory/tunic_red", fn, assets ) 
