local assets =
{ 		
	Asset("ANIM", "anim/zorassapphire.zip"),
	Asset("ATLAS", "images/inventoryimages/zorassapphire.xml"),
	Asset("IMAGE", "images/inventoryimages/zorassapphire.tex"),
}

local function fn()
	local inst = CreateEntity()
	
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddNetwork()
	
	MakeInventoryPhysics(inst)
	
	inst.AnimState:SetBank("purplegem")
	inst.AnimState:SetBuild("zorassapphire")
	inst.AnimState:PlayAnimation("idle")     
	
	if not TheWorld.ismastersim then
        return inst
    end
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/zorassapphire.xml" 
	inst:AddComponent("inspectable")

	return inst
end

return Prefab( "common/inventory/zorassapphire", fn, assets, prefabs)
